Discover Centmin Mod today
Register Now

Upgrade Error: ImageMagick-last-devel conflicts

Discussion in 'Install & Upgrades or Pre-Install Questions' started by pamamolf, Dec 14, 2016.

  1. pamamolf

    pamamolf Well-Known Member

    2,835
    253
    83
    May 31, 2014
    Ratings:
    +449
    Local Time:
    1:23 AM
    Nginx-1.13.x
    MariaDB 10.1.x
    Hi :)

    I just try to upgrade to latest Nginx and got this one:

    Code:
    Installing {ImageMagick,ImageMagick-devel}
    ----------------------------------------------------------------------------------
    Error: ImageMagick-last-devel conflicts with ImageMagick-devel-6.7.8.9-15.el7_2.x86_64
    Error: ImageMagick-last conflicts with ImageMagick-6.7.8.9-15.el7_2.x86_64
     You could try using --skip-broken to work around the problem
     You could try running: rpm -Va --nofiles --nodigest
    ----------------------------------------------------------------------------------
    Processing package: {ImageMagick-c++,ImageMagick-c++-devel}
    ----------------------------------------------------------------------------------
    Installing {ImageMagick-c++,ImageMagick-c++-devel}
    ----------------------------------------------------------------------------------
    Error: ImageMagick-last-devel conflicts with ImageMagick-devel-6.7.8.9-15.el7_2.x86_64
    Error: ImageMagick-last conflicts with ImageMagick-6.7.8.9-15.el7_2.x86_64
    Error: ImageMagick-last-c++-devel conflicts with ImageMagick-c++-devel-6.7.8.9-15.el7_2.x86_64
     You could try using --skip-broken to work around the problem
     You could try running: rpm -Va --nofiles --nodigest
    Any ideas?

    I am on Centos 7 64Bit.

    Thanks
     
  2. eva2000

    eva2000 Administrator Staff Member

    31,019
    6,923
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,429
    Local Time:
    9:23 AM
    Nginx 1.13.x
    MariaDB 5.5
  3. pamamolf

    pamamolf Well-Known Member

    2,835
    253
    83
    May 31, 2014
    Ratings:
    +449
    Local Time:
    1:23 AM
    Nginx-1.13.x
    MariaDB 10.1.x
    Yes :)
     
    Last edited: Dec 14, 2016
  4. pamamolf

    pamamolf Well-Known Member

    2,835
    253
    83
    May 31, 2014
    Ratings:
    +449
    Local Time:
    1:23 AM
    Nginx-1.13.x
    MariaDB 10.1.x
    Running menu 15 fix that one :)
     
  5. eva2000

    eva2000 Administrator Staff Member

    31,019
    6,923
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,429
    Local Time:
    9:23 AM
    Nginx 1.13.x
    MariaDB 5.5
    just made an update to 123.09beta01 for possible fix

    yeah that works too
     
    • Like Like x 1
  6. pamamolf

    pamamolf Well-Known Member

    2,835
    253
    83
    May 31, 2014
    Ratings:
    +449
    Local Time:
    1:23 AM
    Nginx-1.13.x
    MariaDB 10.1.x
    Thank you:)